Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`interfaces`.`IReactorWin32Events``

interface documentation

`class IReactorWin32Events(Interface): (source)`

Known implementations: `twisted.internet.win32eventreactor.Win32Reactor`, `twisted.internet.win32eventreactor._ThreadedWin32EventsMixin`

View In Hierarchy

Win32 Event API methods

Present Since
10.2

Method | `addEvent` | Add a new win32 event to the event loop.
Method | `removeEvent` | Remove an event.

def addEvent(event: `object`, fd: `FileDescriptor`, action: `str`): (source)

Add a new win32 event to the event loop.

Parameters
event:`object` | a Win32 event object created using win32event.CreateEvent()
fd:`FileDescriptor` | an instance of `twisted.internet.abstract.FileDescriptor`
action:`str` | a string that is a method name of the fd instance. This method is called in response to the event.

def removeEvent(event: `object`): (source)

Remove an event.

Parameters
event:`object` | a Win32 event object added using `IReactorWin32Events.addEvent`
Returns
None